namespace StudySystemClient {
	public struct Activity {
		public int subject_id;
		public string subject_name;
		public ActivityType type;
		public double priority;
	}

	public enum ActivityType {
		EXERCISES,
		READING;

		public string to_string() {
			switch (this) {
			case EXERCISES:
				return "Exercises";
			case READING:
				return "Reading";
			default:
				return "Invalid activity type";
			}
		}
	}
}
